Subject: bug#3385 closed by Glenn Morris <[email-masked]> (Re: bug#3385: Bug calling patched appt-display-message)

From: [email-masked] (Emacs bug Tracking System)
Date: Mon, 22 Jun 2009 06:35:04 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs,calendar package:

#3385: Bug calling patched appt-display-message

It has been closed by Glenn Morris <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Glenn Morris <[email-masked]> by
replying to this email.

-- 
3385: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3385
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#3385: Bug calling patched appt-display-message
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Mon, 22 Jun 2009 02:30:01 -0400

Fixed in trunk for 23.2.

  (appt-make-list): Fix off-by-one error caused by
  differing behavior of \n and ^ in strings.  (Bug#3385)

Subject: Re: Bug calling patched appt-display-message
From: Glenn Morris <[email-masked]>
To: bug-gnu-emacs <[email-masked]>
Date: Tue, 26 May 2009 02:03:52 -0400

(The mail to which I am replying does not appear in the Emacs bug
tracker owing to bug 936.)

Davin Pearson wrote:

> When I add the following line of code to my ~/.diary file:
>
> Tuesday
>    13:37 apple.wav
>
> It calls (appt-display-message STRING MINS) with the value "apple.wa"
> (without the trailing v). 

I was unable to reproduce this problem in Emacs 22.2 on GNU/Linux,
with a diary file with and without a trailing newline, and with DOS or
unix line endings.

> In GNU Emacs 22.2.1 (i386-mingw-nt5.1.2600)
>  of 2008-03-27 on RELEASE
> Windowing system distributor `Microsoft Corp.', version 5.1.2600
> configured using `configure --with-gcc (3.4)'